Subject: RE: [Ieprep] access and enterprise networks

From: "Nguyen, An" <[email-masked]>
Date: Tue, 1 Apr 2003 13:57:05 -0500

Kim,

>-----Original Message-----
>From: King, Kimberly S. [mailto:[email-masked]]
>Sent: Tuesday, April 01, 2003 1:28 PM
>To: 'Nguyen, An'; 'King, Kimberly S.'
>Cc: Ieprep (E-mail)
>Subject: RE: [Ieprep] access and enterprise networks

>>Are you suggesting that some sort of call admission control 
>>mechanisms to
>>make sure that, for the lack of better words, traffic other 
>>than best effort
>>has some sort of treatment?

>Maybe.  Depends on how you define "call admission control" and "some sort
of
>treatment".  I'm not thinking about calls but rather just packets.  Back to
>my vehicle traffic control analogy.  Suppose some highway on-ramp can
>support 10 cars gaining entry to the highway every 5 minutes.  I'm
>suggesting a minimum of those cars are ETS ones (say 4 out of 10).  In
>network terms, suppose a (bottleneck) link can support a certain rate per
>second of traffic moving through.  Suppose, for example, we guarantee 40%
of
>those packets that get through are ETS. It's a preferential treatment to
get
>on the highway.  Once on the highway, all cars drive best effort.

Interesting idea! Why would I buy 10 cars knowing that I can only use 4 when
I need to use them. BTW, if I know the location of the emergency sites,
would it be the best idea to go with ONE service provider who is willing to
provide end-to-end treatment? It sounds like a VPN in this case.

>Imagine 3 locations, two "regular" and one ETS share a connection to the
>network.  This link can get congested.  Suppose regular locations are
moving
>traffic at about 50% of that link speed while ETS is sending traffic at
>about 45% of the link speed.  Normally, (assuming we can load to 100%), we
>should see 45% of the traffic drop and it might all be assumed to be
roughly
>distributed among the locations.  What I'm suggesting is a way for ETS
>traffic to have preferential access.  If the guaranteed minimum were 40%
for
>ETS, then only 5% of that ETS traffic would be dropped.
>
>
>
>   --
>     -- Regular 50% link speed                    ---
>       ---                                    //--   --\\
> ---      ---                                /           \
>    -----    --    bottleneck link          /             \
>         ----- --                          |   Network     |
>   Regular    ---  ------------------------+        |
>   50% link speed|                         |               |
>           ---   |                         |               |
>       ----      |                          \             /
>    ---          | dropped                   \           /
>  --             |                            \\--   --//
>   ETS 45%       |                                ---
>               \ | /
>                \|/
>                 \
>
>                traffic dropped 45%,
>                40% regular traffic
>                5% ETS
>
>

Interesting concept! How would you distinguish ETS and non-ETS traffic from
a routing perspective?

Cheers,

An 
_______________________________________________
Ieprep mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ieprep

---

From: RJ Atkinson <[email-masked]>
Date: Tue, 1 Apr 2003 14:15:00 -0500

On Tuesday, Apr 1, 2003, at 13:57 America/Montreal, Nguyen, An wrote:
> BTW, if I know the location of the emergency sites,

If one knows the location of the emergency sites, the simplest approach
is to build a private/dedicated layer-2 connection between those sites.
That layer-2 might (for example) be build using Ethernet over dark 
fibre,
using ATM and/or SONET, using Frame Relay, or using mundane T1, E1,
or T3 circuits.  This is approximately the strategy of the {N,S}IPRnet,
which is built primarily on top of leased L2 capacity and provides 
private
network services to many US DoD sites.

I am not aware of any IP VPN provider that offers any end-to-end
preferential treatment of IP packets.  Maybe one exists someplace,
but I'm not aware of any (and I have looked).

Ran
[email-masked]